
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Installation &#8212; pyfuse3 3.4.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />
    
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>
    
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="General Information" href="general.html" />
    <link rel="prev" title="About" href="about.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="general.html" title="General Information"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="about.html" title="About"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installation</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="installation">
<h1>Installation<a class="headerlink" href="#installation" title="Permalink to this heading">¶</a></h1>
<section id="dependencies">
<h2>Dependencies<a class="headerlink" href="#dependencies" title="Permalink to this heading">¶</a></h2>
<p>In order to build and run pyfuse3 you need the following software:</p>
<ul class="simple">
<li><p>Linux kernel 3.9 or newer.</p></li>
<li><p>Version 3.3.0 or newer of the <a class="reference external" href="http://github.com/libfuse/libfuse">libfuse</a> library, including development
headers (typically distributions provide them in a <em>libfuse3-devel</em>
or <em>libfuse3-dev</em> package).</p></li>
<li><p><a class="reference external" href="http://www.python.org/">Python</a> 3.8 or newer installed with development headers</p></li>
<li><p>The <a class="reference external" href="https://github.com/python-trio/trio">Trio</a> Python module, version 0.7 or newer.</p></li>
<li><p>The <a class="reference external" href="https://pypi.python.org/pypi/setuptools">setuptools</a> Python module, version 1.0 or newer.</p></li>
<li><p>the <a class="reference external" href="http://www.freedesktop.org/wiki/Software/pkg-config">pkg-config</a> tool</p></li>
<li><p>the <a class="reference external" href="http://savannah.nongnu.org/projects/attr/">attr</a> library</p></li>
<li><p>A C compiler (only for building)</p></li>
</ul>
<p>To run the unit tests, you will need</p>
<ul class="simple">
<li><p>The <a class="reference external" href="https://pypi.python.org/pypi/pytest/">py.test</a> Python module, version 3.3.0 or newer</p></li>
</ul>
</section>
<section id="stable-releases">
<h2>Stable releases<a class="headerlink" href="#stable-releases" title="Permalink to this heading">¶</a></h2>
<p>To install a stable pyfuse3 release:</p>
<ol class="arabic simple">
<li><p>Download and unpack the release tarball from <a class="reference external" href="https://pypi.python.org/pypi/pyfuse3/">https://pypi.python.org/pypi/pyfuse3/</a></p></li>
<li><p>Run <code class="docutils literal notranslate"><span class="pre">python3</span> <span class="pre">setup.py</span> <span class="pre">build_ext</span> <span class="pre">--inplace</span></code> to build the C extension</p></li>
<li><p>Run <code class="docutils literal notranslate"><span class="pre">python3</span> <span class="pre">-m</span> <span class="pre">pytest</span> <span class="pre">test/</span></code> to run a self-test. If this fails, ask
for help on the <a class="reference external" href="https://lists.sourceforge.net/lists/listinfo/fuse-devel">FUSE mailing list</a>  or report a bug in the
<a class="reference external" href="https://bitbucket.org/nikratio/python-pyfuse3/issues">issue tracker</a>.</p></li>
<li><p>To install system-wide for all users, run <code class="docutils literal notranslate"><span class="pre">sudo</span> <span class="pre">python</span> <span class="pre">setup.py</span>
<span class="pre">install</span></code>. To install into <code class="file docutils literal notranslate"><span class="pre">~/.local</span></code>, run <code class="docutils literal notranslate"><span class="pre">python3</span>
<span class="pre">setup.py</span> <span class="pre">install</span> <span class="pre">--user</span></code>.</p></li>
</ol>
</section>
<section id="development-version">
<h2>Development Version<a class="headerlink" href="#development-version" title="Permalink to this heading">¶</a></h2>
<p>If you have checked out the unstable development version, a bit more
effort is required. You need to also have <a class="reference external" href="http://www.cython.org/">Cython</a> (0.29 or newer) and
<a class="reference external" href="http://sphinx.pocoo.org/">Sphinx</a> installed, and the necessary commands are:</p>
<div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>python3 setup.py build_cython
python3 setup.py build_ext --inplace
python3 -m pytest test/
sphinx-build -b html rst doc/html
python3 setup.py install
</pre></div>
</div>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper"><h3><a href="index.html">Table Of Contents</a></h3>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="about.html">About</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="general.html">General Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="asyncio.html">asyncio Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="fuse_api.html">FUSE API Functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="data.html">Data Structures</a></li>
<li class="toctree-l1"><a class="reference internal" href="operations.html">Request Handlers</a></li>
<li class="toctree-l1"><a class="reference internal" href="util.html">Utility Functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="gotchas.html">Common Gotchas</a></li>
<li class="toctree-l1"><a class="reference internal" href="example.html">Example File Systems</a></li>
<li class="toctree-l1"><a class="reference internal" href="changes.html">Changelog</a></li>
</ul>

  <div>
    <h4>Previous topic</h4>
    <p class="topless"><a href="about.html"
                          title="previous chapter">About</a></p>
  </div>
  <div>
    <h4>Next topic</h4>
    <p class="topless"><a href="general.html"
                          title="next chapter">General Information</a></p>
  </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="general.html" title="General Information"
             >next</a> |</li>
        <li class="right" >
          <a href="about.html" title="About"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installation</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2024, Nikolaus Rath.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.3.0.
    </div>
  </body>
</html>